Package org.kapott.hbci.tools

# Class ParameterFinder.Query

java.lang.Object
org.kapott.hbci.tools.ParameterFinder.Query

Enclosing class:
  ParameterFinder

public static class ParameterFinder.Query extends Object
Liste bekannter Queries.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final ParameterFinder.Query`
`BPD_PINTAN_CAN1STEP`
Informationen zur Verfuegbarkeit von Einschritt-Verfahren in den BPD.
`static final ParameterFinder.Query`
`BPD_PINTAN_ORDERHASHMODE`
Information ueber den Order-Hashmode.

## Method Summary

Modifier and Type
Method
Description
`String`
`getQuery()`
Liefert das Query.
`final ParameterFinder.Query`
`withParameters(Object... parameters)`
Liefert eine neue Instanz des Querys mit gesetzten Parametern.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### BPD_PINTAN_CAN1STEP

public static final ParameterFinder.Query BPD_PINTAN_CAN1STEP
Informationen zur Verfuegbarkeit von Einschritt-Verfahren in den BPD.

### BPD_PINTAN_ORDERHASHMODE

public static final ParameterFinder.Query BPD_PINTAN_ORDERHASHMODE
Information ueber den Order-Hashmode. Ist ein Query, welches einen Parameter benoetigt.

## Method Details

### withParameters

public final ParameterFinder.Query withParameters(Object... parameters)
Liefert eine neue Instanz des Querys mit gesetzten Parametern.

Parameters:
  `parameters` - die Parameter.
Returns:
  das neue Query.

### getQuery

public String getQuery()
Liefert das Query.

Returns:
  das Query.